Loading...
Searching...
No Matches
navier_stokes_upw_dg

## Detailed Description

Examples
  navier_stokes_upw_dg.h.

Definition at line 26 of file navier_stokes_upw_dg.h.

Inheritance diagram for navier_stokes_upw_dg:

## Public Types

typedef Float | float_type
typedef navier_stokes_dg::value_type | value_type
Public Types inherited from navier_stokes_dg
typedef Float | float_type
typedef Eigen::Matrix< field, 2, 1 > | value_type

## Public Member Functions

| navier_stokes_upw_dg (Float Re, const geo &omega, string approx)
value_type | residue (const value_type &uh) const
void | update_derivative (const value_type &uh) const
Public Member Functions inherited from navier_stokes_dg
| navier_stokes_dg (Float Re, const geo &omega, string approx)
value_type | initial (string restart) const
value_type | residue (const value_type &uh) const
void | update_derivative (const value_type &uh) const
value_type | derivative_solve (const value_type &mrh) const
value_type | derivative_trans_mult (const value_type &mrh) const
Float | space_norm (const value_type &uh) const
Float | dual_space_norm (const value_type &mrh) const

## Additional Inherited Members

Public Attributes inherited from navier_stokes_dg
Float | Re
space | Xh
space | Qh
integrate_option | iopt
form | a0
form | b
form | c
form | mu
form | mp
field | lh0
field | lh
field | kh
problem | pmu
problem | pmp
form | a1
problem_mixed | stokes1

## Member Typedef Documentation

## float_type

typedef Float float_type

Examples
  navier_stokes_upw_dg.h.

Definition at line 27 of file navier_stokes_upw_dg.h.

## value_type

typedef navier_stokes_dg::value_type value_type

Examples
  navier_stokes_upw_dg.h, and navier_stokes_upw_dg.icc.

Definition at line 28 of file navier_stokes_upw_dg.h.

## Constructor & Destructor Documentation

## navier_stokes_upw_dg()

navier_stokes_upw_dg | ( | Float | Re,
|  | const geo & | omega,
|  | string | approx
| ) |  |

Examples
  navier_stokes_upw_dg.icc.

Definition at line 26 of file navier_stokes_upw_dg.icc.

## Member Function Documentation

## residue()

navier_stokes_upw_dg::value_type residue | ( | const value_type & | uh | ) | const

Examples
  navier_stokes_upw_dg.h, and navier_stokes_upw_dg.icc.

Definition at line 31 of file navier_stokes_upw_dg.icc.

## update_derivative()

void update_derivative | ( | const value_type & | uh | ) | const

Examples
  navier_stokes_upw_dg.h, and navier_stokes_upw_dg.icc.

Definition at line 40 of file navier_stokes_upw_dg.icc.

The documentation for this struct was generated from the following files:

- /build/rheolef-mDkPTY/rheolef-7.2/doc/examples/navier_stokes_upw_dg.h
- /build/rheolef-mDkPTY/rheolef-7.2/doc/examples/navier_stokes_upw_dg.icc